<!DOCTYPE HTML>
<html lang="es">
<head>
<!-- Generated by javadoc (17) on Fri Jun 03 20:10:18 CDT 2022 -->
<title>GrafoMOM</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2022-06-03">
<meta name="description" content="declaration: package: proyectoFinal, class: GrafoMOM">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../script.js"></script>
<script type="text/javascript" src="../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var evenRowColor = "even-row-color";
var oddRowColor = "odd-row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar-top">
<div class="skip-nav"><a href="#skip-navbar-top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar-top-firstrow" class="nav-list" title="Navigation">
<li><a href="../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../index-files/index-1.html">Index</a></li>
<li><a href="../help-doc.html#class">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field-summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field-detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor-detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method-detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search-input">SEARCH:</label>
<input type="text" id="search-input" value="search" disabled="disabled">
<input type="reset" id="reset-button" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip-navbar-top"></span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">proyectoFinal</a></div>
<h1 title="Class GrafoMOM" class="title">Class GrafoMOM</h1>
</div>
<div class="inheritance" title="Inheritance Tree"><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">java.lang.Object</a>
<div class="inheritance">proyectoFinal.GrafoMOM</div>
</div>
<section class="class-description" id="class-description">
<hr>
<div class="type-signature"><span class="modifiers">public class </span><span class="element-name type-name-label">GrafoMOM</span>
<span class="extends-implements">extends <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></span></div>
<div class="block">Esta clase representa un grafo para un modelo oculto de Markov.</div>
<dl class="notes">
<dt>Version:</dt>
<dd>1.0.</dd>
<dt>Author:</dt>
<dd>Cristian Omar Alvarado Rodriguez y Carlos Eduardo Olvera Mayorga.</dd>
</dl>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field-summary">
<h2>Field Summary</h2>
<div class="caption"><span>Fields</span></div>
<div class="summary-table three-column-summary">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Field</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color"><code>protected <a href="../estructurasNoLineales/Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></code></div>
<div class="col-second even-row-color"><code><a href="#aristas" class="member-name-link">aristas</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
<div class="col-first odd-row-color"><code>protected <a href="../estructurasNoLineales/Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></code></div>
<div class="col-second odd-row-color"><code><a href="#probaEmisiones" class="member-name-link">probaEmisiones</a></code></div>
<div class="col-last odd-row-color">&nbsp;</div>
<div class="col-first even-row-color"><code>protected <a href="../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></code></div>
<div class="col-second even-row-color"><code><a href="#vertices" class="member-name-link">vertices</a></code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor-summary">
<h2>Constructor Summary</h2>
<div class="caption"><span>Constructors</span></div>
<div class="summary-table two-column-summary">
<div class="table-header col-first">Constructor</div>
<div class="table-header col-last">Description</div>
<div class="col-constructor-name even-row-color"><code><a href="#%3Cinit%3E(int,int)" class="member-name-link">GrafoMOM</a><wbr>(int&nbsp;cantidadNodos,
 int&nbsp;cantidadObservaciones)</code></div>
<div class="col-last even-row-color">&nbsp;</div>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method-summary">
<h2>Method Summary</h2>
<div id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button id="method-summary-table-tab0" role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table', 3)" class="active-table-tab">All Methods</button><button id="method-summary-table-tab2" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab2', 3)" class="table-tab">Instance Methods</button><button id="method-summary-table-tab4" role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" onclick="show('method-summary-table', 'method-summary-table-tab4', 3)" class="table-tab">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<div class="summary-table three-column-summary" aria-labelledby="method-summary-table-tab0">
<div class="table-header col-first">Modifier and Type</div>
<div class="table-header col-second">Method</div>
<div class="table-header col-last">Description</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#agregarArista(java.lang.Object,java.lang.Object)" class="member-name-link">agregarArista</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;origen,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;destino)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Este mÃ©todo agrega una nueva arista al grafo.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#agregarArista(java.lang.Object,java.lang.Object,double)" class="member-name-link">agregarArista</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;origen,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;destino,
 double&nbsp;peso)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Este mÃ©todo agrega una nueva arista al grafo.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>boolean</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#agregarNodo(proyectoFinal.NodoMOM)" class="member-name-link">agregarNodo</a><wbr>(<a href="NodoMOM.html" title="class in proyectoFinal">NodoMOM</a>&nbsp;nodo)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Este mÃ©todo agrega un nuevo nodo al grafo.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="../estructurasNoLineales/Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#getTransiciones()" class="member-name-link">getTransiciones</a>()</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Este mÃ©todo nos permite obtener la matriz de probabilidades de transiciÃ³n del grafo.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>void</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#imprimirGrafo()" class="member-name-link">imprimirGrafo</a>()</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Este mÃ©todo muestra la informaciÃ³n del grafo.</div>
</div>
<div class="col-first odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="NodoMOM.html" title="class in proyectoFinal">NodoMOM</a></code></div>
<div class="col-second odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#obtenerNodo(java.lang.Object)" class="member-name-link">obtenerNodo</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;nodo)</code></div>
<div class="col-last odd-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Este mÃ©todo nos permite obtener un nodo del grafo.</div>
</div>
<div class="col-first even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code>double</code></div>
<div class="col-second even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4"><code><a href="#probabilidadActividad(java.lang.Object,int)" class="member-name-link">probabilidadActividad</a><wbr>(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;estadoAnimoActual,
 int&nbsp;indiceActividad)</code></div>
<div class="col-last even-row-color method-summary-table method-summary-table-tab2 method-summary-table-tab4">
<div class="block">Este mÃ©todo nos permite obtener la probabilidad de emisiÃ³n de una observaciÃ³n de un determinado estado.</div>
</div>
</div>
</div>
</div>
<div class="inherited-list">
<h3 id="methods-inherited-from-class-java.lang.Object">Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a></h3>
<code><a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#clone()" title="class or interface in java.lang" class="external-link">clone</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#equals(java.lang.Object)" title="class or interface in java.lang" class="external-link">equals</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#finalize()" title="class or interface in java.lang" class="external-link">finalize</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#getClass()" title="class or interface in java.lang" class="external-link">getClass</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#hashCode()" title="class or interface in java.lang" class="external-link">hashCode</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notify()" title="class or interface in java.lang" class="external-link">notify</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#notifyAll()" title="class or interface in java.lang" class="external-link">notifyAll</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#toString()" title="class or interface in java.lang" class="external-link">toString</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait()" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long)" title="class or interface in java.lang" class="external-link">wait</a>, <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html#wait(long,int)" title="class or interface in java.lang" class="external-link">wait</a></code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field-detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="vertices">
<h3>vertices</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type"><a href="../estructurasLineales/ListaEstatica.html" title="class in estructurasLineales">ListaEstatica</a></span>&nbsp;<span class="element-name">vertices</span></div>
</section>
</li>
<li>
<section class="detail" id="aristas">
<h3>aristas</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type"><a href="../estructurasNoLineales/Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></span>&nbsp;<span class="element-name">aristas</span></div>
</section>
</li>
<li>
<section class="detail" id="probaEmisiones">
<h3>probaEmisiones</h3>
<div class="member-signature"><span class="modifiers">protected</span>&nbsp;<span class="return-type"><a href="../estructurasNoLineales/Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></span>&nbsp;<span class="element-name">probaEmisiones</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor-detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(int,int)">
<h3>GrafoMOM</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="element-name">GrafoMOM</span><wbr><span class="parameters">(int&nbsp;cantidadNodos,
 int&nbsp;cantidadObservaciones)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method-detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="agregarNodo(proyectoFinal.NodoMOM)">
<h3>agregarNodo</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">agregarNodo</span><wbr><span class="parameters">(<a href="NodoMOM.html" title="class in proyectoFinal">NodoMOM</a>&nbsp;nodo)</span></div>
<div class="block">Este mÃ©todo agrega un nuevo nodo al grafo.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>nodo</code> - Es el nuevo nodo que se agregarÃ¡ al grafo.</dd>
<dt>Returns:</dt>
<dd>Regresa <b>true</b> si el nodo se agregÃ³ correctamente, <b>false</b> en caso contrario.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="agregarArista(java.lang.Object,java.lang.Object)">
<h3>agregarArista</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">agregarArista</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;origen,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;destino)</span></div>
<div class="block">Este mÃ©todo agrega una nueva arista al grafo.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>origen</code> - Es el nodo origen de la arista.</dd>
<dd><code>destino</code> - Es el nodo destino de la arista.</dd>
<dt>Returns:</dt>
<dd>Regresa <b>true</b> si la arista se agregÃ³ correctamente, <b>false</b> en caso contrario.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="agregarArista(java.lang.Object,java.lang.Object,double)">
<h3>agregarArista</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="element-name">agregarArista</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;origen,
 <a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;destino,
 double&nbsp;peso)</span></div>
<div class="block">Este mÃ©todo agrega una nueva arista al grafo.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>origen</code> - Es el nodo origen de la arista.</dd>
<dd><code>destino</code> - Es el nodo destino de la arista.</dd>
<dd><code>peso</code> - Es el peso de la arista.</dd>
<dt>Returns:</dt>
<dd>Regresa <b>true</b> si la arista se agregÃ³ correctamente, <b>false</b> en caso contrario.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="imprimirGrafo()">
<h3>imprimirGrafo</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="element-name">imprimirGrafo</span>()</div>
<div class="block">Este mÃ©todo muestra la informaciÃ³n del grafo.</div>
</section>
</li>
<li>
<section class="detail" id="obtenerNodo(java.lang.Object)">
<h3>obtenerNodo</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="NodoMOM.html" title="class in proyectoFinal">NodoMOM</a></span>&nbsp;<span class="element-name">obtenerNodo</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;nodo)</span></div>
<div class="block">Este mÃ©todo nos permite obtener un nodo del grafo.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>nodo</code> - Es el nodo que se desea obtener.</dd>
<dt>Returns:</dt>
<dd>Regresa el nodo que se desea obtener.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getTransiciones()">
<h3>getTransiciones</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type"><a href="../estructurasNoLineales/Matriz2.html" title="class in estructurasNoLineales">Matriz2</a></span>&nbsp;<span class="element-name">getTransiciones</span>()</div>
<div class="block">Este mÃ©todo nos permite obtener la matriz de probabilidades de transiciÃ³n del grafo.</div>
<dl class="notes">
<dt>Returns:</dt>
<dd>Regresa la matriz de probabilidades de transiciÃ³n del grafo.</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="probabilidadActividad(java.lang.Object,int)">
<h3>probabilidadActividad</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="element-name">probabilidadActividad</span><wbr><span class="parameters">(<a href="https://docs.oracle.com/en/java/javase/17/docs/api/java.base/java/lang/Object.html" title="class or interface in java.lang" class="external-link">Object</a>&nbsp;estadoAnimoActual,
 int&nbsp;indiceActividad)</span></div>
<div class="block">Este mÃ©todo nos permite obtener la probabilidad de emisiÃ³n de una observaciÃ³n de un determinado estado.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>estadoAnimoActual</code> - Es el estado del que se desea obtener la probabilidad de emisiÃ³n.</dd>
<dd><code>indiceActividad</code> - Es el Ã­ndice de la observaciÃ³n que se desea obtener.</dd>
<dt>Returns:</dt>
<dd>Regresa la probabilidad de emisiÃ³n de la observaciÃ³n en el estado.</dd>
</dl>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
</div>
</div>
</body>
</html>
